Creating Edges and Drawing them in AIS_InteractiveContext

Hi guys,

I'm relatively new at OCC and have been trying to figure this out all day. I used netgen to generate a mesh from a STEP model, the results are a bunch of points and edges.

I've been trying to display this in an AIS_InteractiveContext with no luck. I tried to use BRepBuilderAPI_MakeWire - however it gives me an incomplete mesh since I don't know the order of the edges to add them in (they need to be connected to be added successfully?).

Is there another class I can use to use AIS_InteractiveContext's Display() function?

Thanks!

Bearloga's picture

MeshVS_Mesh

LeeYin's picture

I have the same problem...